Package be.fgov.ehealth.dics.core.v4.actual.common

# Class DmppKeyType

java.lang.Object
be.fgov.ehealth.dics.core.v4.actual.common.DmppKeyType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConsultDmppType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class DmppKeyType extends Object implements Serializable

Java class for DmppKeyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DmppKeyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="DeliveryEnvironment" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DeliveryEnvironmentType" />
           <attribute name="Code" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeType" />
           <attribute name="CodeType" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeTypeType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DmppKeyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Code number used to uniquely identify a package or a group of packages being delivered in a given environment and reimbursed according to the same rules.
  `String`
  `getCodeType()`
  Type of the mentioned code, among the following: - ‘CNK’: Code National – Nationale Kode .
  `String`
  `getDeliveryEnvironment()`
  Type of environment in which a medicinal product is delivered.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setCodeType(String value)`
  Sets the value of the codeType property.
  `void`
  `setDeliveryEnvironment(String value)`
  Sets the value of the deliveryEnvironment property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DmppKeyType

    public DmppKeyType()

- ## Method Details

  - ### getDeliveryEnvironment

    public String getDeliveryEnvironment()
    Type of environment in which a medicinal product is delivered. Possible values : - ‘P’ for Public, - ‘A’ for Ambulatory, - ‘H’ for Hospital, - ‘R’ For Residential care
    Returns:
      possible object is `String`

  - ### setDeliveryEnvironment

    public void setDeliveryEnvironment(String value)
    Sets the value of the deliveryEnvironment property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDeliveryEnvironment()`

  - ### getCode

    public String getCode()
    Code number used to uniquely identify a package or a group of packages being delivered in a given environment and reimbursed according to the same rules.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCode()`

  - ### getCodeType

    public String getCodeType()
    Type of the mentioned code, among the following: - ‘CNK’: Code National – Nationale Kode . This code is attributed by the APB (“Association Pharmaceutique Belge”) to identify unequivocally one medicinal product package, or by the NIHDI for identifying tarification units, which meet to the same reimbursement criteria. - ‘PSEUDO’: Pseudo-code used for the flat-pricing of drugs in certain environments such as radiopharmaca in hospitals.
    Returns:
      possible object is `String`

  - ### setCodeType

    public void setCodeType(String value)
    Sets the value of the codeType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCodeType()`